package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF47D extends MwfRequest<MWF47D, MWF47DResponse> {

    @Parameter(name = "APP_STATUS_ID")
    MWF47D appStatusId(String appStatusId);
    @Parameter(name = "APP_SUBTYPE_ID")
    MWF47D appSubtypeId(String appSubtypeId);
    @Parameter(name = "APP_TYPE_ID")
    MWF47D appTypeId(String appTypeId);
    @Parameter(name = "CONTRACT_NR")
    MWF47D contractNr(String contractNr);
}
